Skip to main content
`Ctrl`+`K`

# SNESMonitorRange

Prints the percentage of residual elements that are more than 10 percent of the maximum entry in the residual in each iteration of a `SNESSolve()`

## Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode SNESMonitorRange(SNES snes, PetscInt it, PetscReal rnorm, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- snes - `SNES` iterative context

- it - iteration number

- rnorm - 2-norm (preconditioned) residual value (may be estimated).

- vf - unused monitor context

## Options Database Key

- -snes_monitor_range - Activates `SNESMonitorRange()`

## Note

This is not called directly by users, rather one calls `SNESMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `SNES` solve.

## See Also

SNES: Nonlinear Solvers, `SNESMonitorSet()`, `SNESMonitorDefault()`, `SNESMonitorLGCreate()`, `SNESMonitorScaling()`, `PetscViewerFormat`, `PetscViewerAndFormat`

## Level

intermediate

## Location

src/snes/interface/snesut.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages